#ifndef PPDETMGR_H
#define PPDETMGR_H
#include <string>
#include "pDetector.h"

using std::string;

class pPdetMgr {

public:

  static pPdetMgr * Get();
  pPdetMgr(){};
  pDetector* GetpDet(const string &s);

private:

  static pPdetMgr * _pdetmgr;

};


#endif //PPDETMGR_H
